USE ROLE ACCOUNTADMIN;
USE DATABASE SNOWFLAKE;

-- Using ACCOUNTADMIN, create a new role for this exercise and grant to applicable users
CREATE OR REPLACE ROLE PARTITIONED_LAB_USER;

-- assign role to current user
SET USERNAME = (SELECT CURRENT_USER());
SELECT $USERNAME;

GRANT ROLE PARTITIONED_LAB_USER TO USER identifier($USERNAME);

-- create our virtual warehouse
CREATE OR REPLACE WAREHOUSE PARTITIONED_WH AUTO_SUSPEND = 60;

GRANT ALL ON WAREHOUSE PARTITIONED_WH TO ROLE PARTITIONED_LAB_USER;

-- Next create a new database and schema,
CREATE OR REPLACE DATABASE PARTITIONED_DATABASE;
CREATE OR REPLACE SCHEMA PARTITIONED_SCHEMA;

GRANT OWNERSHIP ON DATABASE PARTITIONED_DATABASE TO ROLE PARTITIONED_LAB_USER COPY CURRENT GRANTS;
GRANT OWNERSHIP ON ALL SCHEMAS IN DATABASE PARTITIONED_DATABASE  TO ROLE PARTITIONED_LAB_USER COPY CURRENT GRANTS;

USE ROLE PARTITIONED_LAB_USER;

CREATE OR REPLACE FILE FORMAT PARTITIONED_DATABASE.PUBLIC.CSV_FF 
type = 'csv'
skip_header = 1;

CREATE OR REPLACE STAGE PARTITIONED_DATABASE.PUBLIC.S3LOAD
COMMENT = 'Quickstarts S3 Stage Connection'
url = 's3://sfquickstarts/sfguide_partitioned_ml_model/'
file_format = PARTITIONED_DATABASE.PUBLIC.CSV_FF;

CREATE OR REPLACE TABLE PARTITIONED_DATABASE.PARTITIONED_SCHEMA.RESTAURANT_TRAFFIC(
    EPOCH BIGINT,
    STORE_ID INT,
    COLLEGE_TOWN INT,
    HOURLY_TRAFFIC INT
);

COPY INTO PARTITIONED_DATABASE.PARTITIONED_SCHEMA.RESTAURANT_TRAFFIC
FROM @PARTITIONED_DATABASE.PUBLIC.S3LOAD;
